curl --request GET \
--url https://thirdparty.qonto.com/v2/sepa/transfers \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/sepa/transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/sepa/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://thirdparty.qonto.com/v2/sepa/transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://thirdparty.qonto.com/v2/sepa/transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://thirdparty.qonto.com/v2/sepa/transfers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://thirdparty.qonto.com/v2/sepa/transfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"transfers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initiator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1100.5,
"amount_cents": 110050,
"amount_currency": "EUR",
"status": "pending",
"beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "Lease payment",
"note": "Lease payment for offices in Paris",
"declined_reason": "beneficiary_bic_invalid",
"scheduled_date": "2023-12-25",
"created_at": "2025-04-22T12:00:00Z",
"updated_at": "2025-04-22T12:00:00Z",
"processed_at": "2025-04-22T12:00:00Z",
"completed_at": "2025-04-22T12:00:00Z",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recurring_transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"meta": {
"current_page": 2,
"next_page": 3,
"prev_page": 1,
"total_pages": 11,
"total_count": 210,
"per_page": 20
}
}List SEPA transfers
OAuth scope: organization.read
Retrieves a list of all SEPA transfers.
curl --request GET \
--url https://thirdparty.qonto.com/v2/sepa/transfers \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/sepa/transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/sepa/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://thirdparty.qonto.com/v2/sepa/transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://thirdparty.qonto.com/v2/sepa/transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://thirdparty.qonto.com/v2/sepa/transfers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://thirdparty.qonto.com/v2/sepa/transfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"transfers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initiator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1100.5,
"amount_cents": 110050,
"amount_currency": "EUR",
"status": "pending",
"beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "Lease payment",
"note": "Lease payment for offices in Paris",
"declined_reason": "beneficiary_bic_invalid",
"scheduled_date": "2023-12-25",
"created_at": "2025-04-22T12:00:00Z",
"updated_at": "2025-04-22T12:00:00Z",
"processed_at": "2025-04-22T12:00:00Z",
"completed_at": "2025-04-22T12:00:00Z",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recurring_transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"meta": {
"current_page": 2,
"next_page": 3,
"prev_page": 1,
"total_pages": 11,
"total_count": 210,
"per_page": 20
}
}Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Query Parameters
Page number for pagination. Must be greater than 0.
x >= 1Number of records per page. Must be between 1 and 100.
1 <= x <= 100Transfers can be filtered by their status. This filter accepts an array of statuses.
pending, processing, canceled, declined, settled "status[]=processing&status[]=declined&status[]=settled"
Transfers can be filtered by their updated_at property. This filter can be used in combination with the updated_at_to query parameter to get transfers updated within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).
"2019-01-10T11:47:53.123Z"
Transfers can be filtered by their updated_at property. This filter can be used in combination with the updated_at_from query parameter to get external transfers updated within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).
"2019-01-10T11:47:53.123Z"
Transfers can be filtered by their scheduled_date property. This filter can be used in combination with the scheduled_date_to query parameter to get transfers scheduled within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).
"2019-01-10"
Transfers can be filtered by their scheduled_date property. This filter can be used in combination with the scheduled_date_from query parameter to get transfers scheduled within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).
"2019-01-10"
Transfers can be filtered by their beneficiary_id. You can provide a list of ids.
Transfers can be sorted by their scheduled_date / updated_at property in 2 possible orders: asc (Ascending) / desc (Descending).
updated_at:asc, updated_at:desc, scheduled_date:asc, scheduled_date:desc Transfers can be filtered by their id. You can provide a list of ids.
Transfers can be filtered by the Recurring Transfer that created them.
Was this page helpful?